Description: Bonjour

Un grand merci tout d'abord a toute I'équipe et bravo pour cet excellent outil !

J'ai des questions ouvertes, avec des variables aléatoires dans I'énoncé, que je crée grace au package fp.
L'étudiant doit écrire dans dans la feuille de réponse séparée les résultats numériques a la question posée.
Or, comme chaque étudiant a des données d'entrées différentes, je souhaiterais que les résultats
apparaissent dans la zone de réponse sur la correction. 2 avantages :

- trés facile a corriger depuis le paper data capture

- I'étudiant recois sa copie corrigée avec les valeurs numériques directement dans le cadre

Cf Capture zone de réponse.jpg

Or, I'option answer de la commande la commande \AMCOpen n'écrit rien dans le cadre, ni la commande
\savebox (page 34 de la doc)

Je vous remercie pour votre aide !
Bien cordialement
Damien

PS : ci joint le fichier MStr4.tex, désolé pour le formalisme qui ne doit pas étre tip top mais je débute dans
latex et dans AMC !';)

History

04/28/2020 08:03 pm - Frédéric Bréal
- File MStr4.tex added

Ce n'est pas un probleme avec AMC mais du pur codage LaTeX que j'ai cherché a résoudre. Ga fonctionne mais je ne garantie pas que c'est la
solution exacte.

Il fait protéger les valeurs aléatoires avec @\protect@ ; c'est du «bidouillage» a ma sauce car je ne maitrise pas le code LaTeX et j'ai cherché sur
internet.

J'ai modifié la place des valeurs aléatoires pour que cela fonctionne.

Je verrais si je fais une remarque dans la documentation.

>je débute dans latex

Je vous conseille ce livre qui m'a bien aidé pour débuter

https://www.amazon.fr/LaTeX-pour-limpatient-Spiral-Bound/dp/235141327X/ref=sr_1_1?__mk_fr_ FR=%C3%85M%C3%85%C5%BD%C3%95%C3%9
18&dchild=1&keywords=latex+pour+%27impatient&qid=15880963398&sr=8-1

Je viens de voir cette référence mais je ne connais pas
https://www.amazon.fr/LaTeX-pour-enseignants-Nicolas-Poulain/dp/2340036712/ref=sr_1_1?__mk_fr_FR=%C3%85M%C3%85%C5%BD%C3%95%C
3%91&crid=RFACB7LP35Y2&dchild=1&keywords=Ilatex+pour+les+enseignants&qid=1588096290&sprefix=latex+pou%2Caps%2C232&sr=8-1

J'ai modifié votre fichier car il y a, @ mon sens, des erreurs (\break : il faut sauter une ligne pour changer de paragraphe, jignore a quoi sert cette
commande).

Je vous ai mis le paquet babel pour le frangais et siunitx qui gére les conventions typographiques des unités

Pour la suite, postez d'abord dans la partie forum pour un maximum de visibilité. Cette partie est réservée aux bogs ou demande d'amélioration
04/28/2020 09:01 pm - Damien Ricotier
Merci Gérard pour votre réponse rapide et complete | mais j'ai un message d'erreur :

Errors

53 errors during LaTex compiling (question sheet)

Package babel Error: You haven't specified a language option.
Undefined control sequence.

Undefined control sequence.

Undefined control sequence.

Undefined control sequence.

Undefined control sequence.

Undefined control sequence.

Désolé pour le post, j'irai dans forum la prochaine fois... Damien

04/28/2020 09:20 pm - Frédéric Bréal
<pre>
\documentclass[a4paper,french]{article}

</pre>

Avez-vous mis @french@ dans les options de class ?

Vous pouvez enlever le paguet mwe car il me permettait d'utiliser les images installées dans texlive au lieu des votres qui n'étaient pas jointes.

04/28/2020 09:27 pm - Frédéric Bréal
Vous pouvez ajouter des options a minipage : bottom,center, top.

<pre>
\begin{minipage}[b][3cm][t]{\linegoal}
%\begin{minipage}{.9\linewidth}

Nom et prénom :

Y%\vspace*{2cm}

\end{minipage}

</pre>

04/28/2020 09:53 pm - Damien Ricotier
J'ai me semble-t-il résolu le probléme de language option, en écrivant

\usepackage[american]{babel}

Par contre, j'ai toujours des erreurs de compilation

Errors

52 errors during LaTeX compiling (question sheet)
Undefined control sequence.

Undefined control sequence.

Undefined control sequence.

Undefined control sequence.

Undefined control sequence.

Je souhaite conserver toute ma mise en forme, car j'ai prés d'une dizaine de QCM "homogénes"....

05/17/2025 2/4



Pourriez vous simplement m'indiquer ce qu'il faut faire a minima pour que answer fonctionne ?

04/29/2020 06:34 am - Damien Ricotier

Bonjour

Merci encore de passer du temps a résoudre mon probléme !

Je pense que c'est un probléme avec l'option answer, car j'essaye simplement d'écrire "toto" dans la zone de réponse (comme ci dessous), mais rien
ne s'affiche :

\AMCOpen{lines=7,dots=false,question=Cases réservées au correcteur -->,answer=toto}

Sans doute ai-je un mauvais paramétrage, un mauvais package, je ne sais pas...

Je vous remercie pour votre aide

Damien

PS : voulez vous que je reformule ma question dans la partie forum, pour plus de visibilité ?

04/29/2020 07:36 am - Damien Ricotier

Pour info j'ai réussi a contourner le probleme en créant un fichier .csv qui contient tous les résultats
RAy = 28.93kN0 RDx = 88.98kNI RDy = 14.46kN

RAy = 13.97kN0 RDx = 78.23kN0 RDy = 6.98kN

RAy = 11.70kND RDx = 90.30kNI RDy = 5.85kN

RAy = 26.76kNI RDx = 86.09kNI RDy = 13.38kN
RAy = 11.06kNI RDx = 85.40kNI RDy = 5.53kN

par

\newwrite\file

\immediate\openout\file=data.csv

avant \exemplaires{52}{

\closeout\file

juste apreés la parenthése de fin de \exemplaire{52}

Et dans \exemplaires{52}{ j'ai rajouté cette ligne

\write\file{Ray = \VRAY kN; RDx = \VRDX kN; RDy = \VRDY kN}

J'obtiens donc un fichier excel de tous mes résultats, ce qui me permet de corriger rapidement et de I'envoyer aux étudiants, mais c'est moins élégant
que answer, sur chaque copie d'étudiant...

04/29/2020 12:18 pm - Frédéric Bréal
- File MStr4.tex added

J'ai repris votre fichier initial sans modifier la mise en page et j'ai juste modifié les lignes 80 et 173.

<pre>

answer={VRAY=\protect\VRAY, VRDX=\protect\VRDX, VRDY=\protect\VRDY}

</pre>

Les virgules sont des séparateurs d'options dans latex donc mettre des éléments séparés par des virgules et le signe égal provoquent une erreur. La

solution consiste a mettre des accolades. Je ferai un ajout dans la documentation.

Par contre, je ne comprends pas pourquoi les valeurs aléatoires ne sont pas « reconnues » quand elles sont dans la commande @element@. De

05/17/2025 3/4



mémoire, c'est ce que je fais.

A vérifier.

04/29/2020 05:11 pm - Damien Ricotier

Ca fonctionne, merci Gérard ! Il fallait donc utiliser les parentheses + \protect, c'est bien noté !

A bient6t, et j'utiliserai la partie forum la prochaine fois ;)

05/01/2020 10:09 am - Alexis Bienveniie
- Status changed from New to Closed

- % Done changed from 0 to 100

Files

Capture_zone_de_r__ponse.jpg 34 kB 04/28/2020 Damien Ricotier
MStr4.tex 7.9kB 04/28/2020 Damien Ricotier
MStr4.tex 8.5 kB 04/28/2020 Frédéric Bréal
MStr4.tex 8.1 kB 04/29/2020 Frédéric Bréal

05/17/2025

4/4



